<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR PINJAMAN ANGGOTA {{name ? '( ' + name + ' )' : ''}}</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-9 form-inline">
              <label class="col-form-label mr-1">Menunjukkan </label>
              <select (change)="doGetListPinjaman()" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
              </select>
              <label class="ml-1"> Data</label>
            </div>
            <div class="col-sm-3" *ngIf="dataUser.role!=='AGT'">
              <button (click)="backClicked()" class="pull-right btn btn-success font-weight-bold btn-sm"><i class="fa fa-arrow-left"></i> Kembali</button>
            </div>
          </div><br>
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Mulai</label>
                  <input class="form-control" (keyup.enter)="doGetListPinjaman()" id="tanggalMulai" type="text"  placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalMulai">
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Akhir</label>
                  <input class="form-control" (keyup.enter)="doGetListPinjaman()" id="tanggalAkhir" type="text"  placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalAkhir">
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Status</label>
                  <select name="status" class="form-control selectpicker" (keyup.enter)="doGetListPinjaman()" title="Pilih Status" [(ngModel)]="statusPinjaman">
                    <option value="LUNAS">Lunas</option>
                    <option value="BELUM">Belum Lunas</option>
                  </select>
                  <!--<label class="col-form-label">Pencarian </label>-->
                  <!--<input class="form-control" [(ngModel)]="filterText" type="text" placeholder="Pencarian...">-->
                  <!--<div class="controls">-->
                  <!--<div class="input-group">-->
                  <!--<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" size="16" type="text" placeholder="Pencarian...">-->
                  <!--<span class="input-group-append">-->
                  <!--<button class="btn btn-success" type="button" (click)="doGetListPinjaman()"><i class="fa fa-search"></i> Cari </button>-->
                  <!--</span>-->
                  <!--</div>-->
                  <!--</div>-->
                </div>
                <div class="col-sm-2" style="margin-top: 34px">
                  <button class="btn btn-success btn-block pull-right"  (click)="doGetListPinjaman()"><i class="fa fa-search"></i> Cari</button>
                </div>
              </div>
            </div>
          </div>
          <!--<div *ngIf="listPinjaman | filter: filterText as list">-->
            <table class="table table-bordered table-striped table-sm table-responsive">
              <thead>
              <tr class="font-xs">
                <th class="text-center align-middle" style="width: 1%">#</th>
                <!--<th class="text-center">ID Ajuan</th>-->
                <th class="text-center align-middle" style="width: 5%" (click)="sort('tanggalPinjaman')">Tgl. Pinjaman
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tanggalPinjaman',
                                    'fa-sort-asc': (column == 'tanggalPinjaman' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalPinjaman' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('tipePengajuan')">Jenis Pinjaman
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tipePengajuan',
                                    'fa-sort-asc': (column == 'tipePengajuan' && isDesc),
                                    'fa-sort-desc': (column == 'tipePengajuan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 10%" (click)="sort('keterangan')">Keperluan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'keterangan',
                                    'fa-sort-asc': (column == 'keterangan' && isDesc),
                                    'fa-sort-desc': (column == 'keterangan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('nominalPinjaman')">Nominal
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nominalPinjaman',
                                    'fa-sort-asc': (column == 'nominalPinjaman' && isDesc),
                                    'fa-sort-desc': (column == 'nominalPinjaman' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('lamaAngsuran')">Lama Angsuran
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'lamaAngsuran',
                                    'fa-sort-asc': (column == 'lamaAngsuran' && isDesc),
                                    'fa-sort-desc': (column == 'lamaAngsuran' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('sisaPinjaman')">Sisa Angsuran
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'sisaPinjaman',
                                    'fa-sort-asc': (column == 'sisaPinjaman' && isDesc),
                                    'fa-sort-desc': (column == 'sisaPinjaman' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <!--<th class="text-center" style="width: 5%" (click)="sort('persenBunga')">Bunga (%)-->
                  <!--<i class="fa" [ngClass]="{'fa-sort': column != 'persenBunga',-->
                                    <!--'fa-sort-asc': (column == 'persenBunga' && isDesc),-->
                                    <!--'fa-sort-desc': (column == 'persenBunga' && !isDesc) }"-->
                     <!--aria-hidden="true">-->
                  <!--</i>-->
                <!--</th>-->
                <!--<th class="text-center" style="width: 7%" (click)="sort('tanggalJatuhTempo')">Tgl. Jatuh Tempo-->
                  <!--<i class="fa" [ngClass]="{'fa-sort': column != 'tanggalJatuhTempo',-->
                                    <!--'fa-sort-asc': (column == 'tanggalJatuhTempo' && isDesc),-->
                                    <!--'fa-sort-desc': (column == 'tanggalJatuhTempo' && !isDesc) }"-->
                     <!--aria-hidden="true">-->
                  <!--</i>-->
                <!--</th>-->
                <th class="text-center align-middle"  style="width: 5%" (click)="sort('statusPinjaman')">Status
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'statusPinjaman',
                                    'fa-sort-asc': (column == 'statusPinjaman' && isDesc),
                                    'fa-sort-desc': (column == 'statusPinjaman' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle"  style="width: 3%">Aksi</th>
              </tr>
              </thead>
              <tbody *ngIf="!listPinjaman || listPinjaman.length===0">
              <tr>
                <td colspan="10" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of listPinjaman | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
                <!--<td>{{data.kodePengajuan}}</td>-->
                <td>{{data.tanggalPinjaman | date: 'dd MMM yyyy'}}</td>
                <td>{{ data.tipePengajuan }}
                  <div *ngIf="data.tipePengajuan==='Barang'">({{data.namaBarang}})</div>
                </td>
                <td>{{ data.keterangan }}</td>
                <td class="text-right pr-5">{{ data.nominalPinjaman | number}}</td>
                <td>{{ data.lamaAngsuran }} Bulan</td>
                <td class="text-right pr-5">{{ data.sisaPinjaman | number }}</td>
                <td>{{ data.statusPinjaman | statusPinjaman }}</td>
                <td>
                  <button class="btn btn-success btn-sm"  (click)="gotoListAngsuran(data.nomorPinjaman, data.nama, data);"><i class="fa fa-list"></i> Detail</button>
                </td>
              </tr>
              </tbody>
            </table>
            <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
            <div class="pull-right mt-auto">
              <pagination *ngIf="listPinjaman.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                          [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
              </pagination>
            </div>
          <!--</div>-->
        </div>
      </div>
    </div>
  </div>
</div>


<div bsModal #confirmModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="confirmModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Konfirmasi membatalkan Pengajuan</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <h4>Apakah Anda yakin ingin membatalkan pengajuan ini?</h4>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="confirmModal.hide()">Tidak</button>
        <button type="button" class="btn btn-success" (click)="confirmModal.hide(); submit()">
          <i class="fa fa-save"></i> Ya</button>
      </div>
    </div>
  </div>
</div>

